org.eclipse.emf.facet.widgets.table.metamodel.v0_2_0.table

## Interface Row

All Known Subinterfaces:
  EObjectQueryRow, NavigationRow, PrimitiveTypeQueryRow

    public interface Row

A representation of the model object 'Row'.

The following features are supported:

- `Element`
- `Height`

See Also:
  `TablePackage.getRow()`
Generated:
Model:

### Method Summary

All Methods Instance Methods Abstract Methods
`EObject` `getElement()` Returns the value of the 'Element' reference.
`int` `getHeight()` Returns the value of the 'Height' attribute.
`void` `setElement(EObject value)` Sets the value of the '`Element`' reference.
`void` `setHeight(int value)` Sets the value of the '`Height`' attribute.

### Method Detail

#### getElement

    EObject getElement()

Returns the value of the 'Element' reference.

If the meaning of the 'Element' reference isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Element' reference.
See Also:
  `setElement(EObject)`, `TablePackage.getRow_Element()`
Generated:
Model:

#### setElement

    void setElement(EObject value)

Sets the value of the '`Element`' reference.

Parameters:
  `value` - the new value of the 'Element' reference.
See Also:
  `getElement()`
Generated:

#### getHeight

    int getHeight()

Returns the value of the 'Height' attribute. The default value is `"-1"`.

If the meaning of the 'Height' attribute isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Height' attribute.
See Also:
  `setHeight(int)`, `TablePackage.getRow_Height()`
Generated:
Model:
  default="-1"

#### setHeight

    void setHeight(int value)

Sets the value of the '`Height`' attribute.

Parameters:
  `value` - the new value of the 'Height' attribute.
See Also:
  `getHeight()`
Generated: